<?php
 
	/*
	 * Beispielscript für die Abo Benachrichtigung
	 * 
	 * Damit es funktioniert, muss es Beispielsweise unter
	 *
	 * domainname.de/scripte/abo_notification.php
	 *  
	 * kopiert werden. 
	 * 
	 * Beachten Sie:
	 * - Das Script muss öffentlich erreichbar sein.
	 * - SALT Key aus der Konfiguration muss in diesem Script hinterlegt werden
	 */

	  $salt_key = ""; //aus Konfiguration > Einstellungen > Erweitert > SALT Schlüssel
	
	  // Hash Test
	  $hash = md5($salt_key.$_POST['time']);
	
	  if ($hash != $_POST['hash']) die("Fehler bei der Anfrage!");
	  
	  // PFad zum Wordpress Root Verzeichnis 
	  $path_wp_root = dirname(__FILE__).'/../';
	  	  
	  $product_id = $_REQUEST['product_id'];
	  $order_id = $_REQUEST['order_id'];
	  $customer_id = $_REQUEST['customer_id'];
	  $menge = $_REQUEST['menge'];
	  
	  /* Wordpress initiieren */
	  require_once($path_wp_root.'wp-load.php'); 
	  
	  /* Shop Plugin initiieren */
	  require_once($path_wp_root.'wp-content/plugins/wpshopgermany/wpshopgermany.php');
	  
	  if ($_REQUEST['typ'] == 'abo_firstbuy')
	  {
	  	
	  	/**
	  	 * Ein Abo Produkt wurde das erste mal gekauft und bezahlt
	  	 */
	  	 
	  	
	  }
	  else if ($_REQUEST['typ'] == 'abo_rebuy')
	  {
	  	
	  	/**
	  	 * Abo VerlŠngerung wurde gekauft
	  	 */
	  	 
	  	
	  }
	  else if ($_REQUEST['typ'] == 'abo_expiration')
	  {
	  	
	  	/**
	  	 * Ein Abo Produkt ist ausgelaufen
	  	 */
	  	 
	  }
  
?>